Box2D: b2DistanceJoint Class Reference

| Box2D 2.4.1 A 2D physics engine for games

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
b2DistanceJoint Class Reference

`#include <b2_distance_joint.h>`

Inheritance diagram for b2DistanceJoint:

## Public Member Functions
b2Vec2 | GetAnchorA () const override
| Get the anchor point on bodyA in world coordinates.
b2Vec2 | GetAnchorB () const override
| Get the anchor point on bodyB in world coordinates.
b2Vec2 | GetReactionForce (float inv_dt) const override
float | GetReactionTorque (float inv_dt) const override
const b2Vec2 & | GetLocalAnchorA () const
| The local anchor point relative to bodyA's origin.
const b2Vec2 & | GetLocalAnchorB () const
| The local anchor point relative to bodyB's origin.
float | GetLength () const
| Get the rest length.
float | SetLength (float length)
float | GetMinLength () const
| Get the minimum length.
float | SetMinLength (float minLength)
float | GetMaxLength () const
| Get the maximum length.
float | SetMaxLength (float maxLength)
float | GetCurrentLength () const
| Get the current length.
void | SetStiffness (float stiffness)
| Set/get the linear stiffness in N/m.
float | GetStiffness () const
void | SetDamping (float damping)
| Set/get linear damping in N*s/m.
float | GetDamping () const
void | Dump () override
| Dump joint to dmLog.
void | Draw (b2Draw *draw) const override
| Debug draw this joint.
Public Member Functions inherited from b2Joint
b2JointType | GetType () const
| Get the type of the concrete joint.
b2Body * | GetBodyA ()
| Get the first body attached to this joint.
b2Body * | GetBodyB ()
| Get the second body attached to this joint.
b2Joint * | GetNext ()
| Get the next joint the world joint list.
const b2Joint * | GetNext () const
b2JointUserData & | GetUserData ()
| Get the user data pointer.
const b2JointUserData & | GetUserData () const
bool | IsEnabled () const
| Short-cut function to determine if either body is enabled.
bool | GetCollideConnected () const
virtual void | ShiftOrigin (const b2Vec2 &newOrigin)
| Shift the origin for any points stored in world coordinates.

## Protected Member Functions
| b2DistanceJoint (const b2DistanceJointDef *data)
void | InitVelocityConstraints (const b2SolverData &data) override
void | SolveVelocityConstraints (const b2SolverData &data) override
bool | SolvePositionConstraints (const b2SolverData &data) override
Protected Member Functions inherited from b2Joint
| b2Joint (const b2JointDef *def)

## Protected Attributes
float | m_stiffness
float | m_damping
float | m_bias
float | m_length
float | m_minLength
float | m_maxLength
b2Vec2 | m_localAnchorA
b2Vec2 | m_localAnchorB
float | m_gamma
float | m_impulse
float | m_lowerImpulse
float | m_upperImpulse
int32 | m_indexA
int32 | m_indexB
b2Vec2 | m_u
b2Vec2 | m_rA
b2Vec2 | m_rB
b2Vec2 | m_localCenterA
b2Vec2 | m_localCenterB
float | m_currentLength
float | m_invMassA
float | m_invMassB
float | m_invIA
float | m_invIB
float | m_softMass
float | m_mass
Protected Attributes inherited from b2Joint
b2JointType | m_type
b2Joint * | m_prev
b2Joint * | m_next
b2JointEdge | m_edgeA
b2JointEdge | m_edgeB
b2Body * | m_bodyA
b2Body * | m_bodyB
int32 | m_index
bool | m_islandFlag
bool | m_collideConnected
b2JointUserData | m_userData

## Friends
class | b2Joint

## Additional Inherited Members
Static Protected Member Functions inherited from b2Joint
static b2Joint * | Create (const b2JointDef *def, b2BlockAllocator *allocator)
static void | Destroy (b2Joint *joint, b2BlockAllocator *allocator)

## Detailed Description

A distance joint constrains two points on two bodies to remain at a fixed distance from each other. You can view this as a massless, rigid rod.

## Member Function Documentation

## ◆ Draw()

void b2DistanceJoint::Draw | ( | b2Draw * | draw | ) | const
| overridevirtual

Debug draw this joint.

Reimplemented from b2Joint.

## ◆ Dump()

void b2DistanceJoint::Dump | ( |  | ) |
| overridevirtual

Dump joint to dmLog.

Reimplemented from b2Joint.

## ◆ GetAnchorA()

b2Vec2 b2DistanceJoint::GetAnchorA | ( |  | ) | const
| overridevirtual

Get the anchor point on bodyA in world coordinates.

Implements b2Joint.

## ◆ GetAnchorB()

b2Vec2 b2DistanceJoint::GetAnchorB | ( |  | ) | const
| overridevirtual

Get the anchor point on bodyB in world coordinates.

Implements b2Joint.

## ◆ GetReactionForce()

b2Vec2 b2DistanceJoint::GetReactionForce | ( | float | inv_dt | ) | const
| overridevirtual

Get the reaction force given the inverse time step. Unit is N.

Implements b2Joint.

## ◆ GetReactionTorque()

float b2DistanceJoint::GetReactionTorque | ( | float | inv_dt | ) | const
| overridevirtual

Get the reaction torque given the inverse time step. Unit is N*m. This is always zero for a distance joint.

Implements b2Joint.

## ◆ InitVelocityConstraints()

void b2DistanceJoint::InitVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SetLength()

float b2DistanceJoint::SetLength | ( | float | length | ) |

Set the rest length

Returns
  clamped rest length

## ◆ SetMaxLength()

float b2DistanceJoint::SetMaxLength | ( | float | maxLength | ) |

Set the maximum length

Returns
  the clamped maximum length

## ◆ SetMinLength()

float b2DistanceJoint::SetMinLength | ( | float | minLength | ) |

Set the minimum length

Returns
  the clamped minimum length

## ◆ SolvePositionConstraints()

bool b2DistanceJoint::SolvePositionConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

## ◆ SolveVelocityConstraints()

void b2DistanceJoint::SolveVelocityConstraints | ( | const b2SolverData & | data | ) |
| overrideprotectedvirtual

Implements b2Joint.

The documentation for this class was generated from the following file:

- /build/box2d/src/box2d-2.4.2/include/box2d/b2_distance_joint.h